Package com.google.protobuf.compiler

# Interface PluginProtos.CodeGeneratorResponse.FileOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `PluginProtos.CodeGeneratorResponse.File`, `PluginProtos.CodeGeneratorResponse.File.Builder`

Enclosing class:
  `PluginProtos.CodeGeneratorResponse`

public static interface PluginProtos.CodeGeneratorResponse.FileOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getContent()`
`optional string content = 15 [json_name = "content"];`
`ByteString`
`getContentBytes()`
`optional string content = 15 [json_name = "content"];`
`DescriptorProtos.GeneratedCodeInfo`
`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfoOrBuilder`
`getGeneratedCodeInfoOrBuilder()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`String`
`getInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`ByteString`
`getInsertionPointBytes()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasContent()`
`optional string content = 15 [json_name = "content"];`
`boolean`
`hasGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`boolean`
`hasInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasInsertionPoint

boolean hasInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Returns:
  Whether the insertionPoint field is set.

### getInsertionPoint

String getInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Returns:
  The insertionPoint.

### getInsertionPointBytes

ByteString getInsertionPointBytes()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Returns:
  The bytes for insertionPoint.

### hasContent

boolean hasContent()
`optional string content = 15 [json_name = "content"];`

Returns:
  Whether the content field is set.

### getContent

String getContent()
`optional string content = 15 [json_name = "content"];`

Returns:
  The content.

### getContentBytes

ByteString getContentBytes()
`optional string content = 15 [json_name = "content"];`

Returns:
  The bytes for content.

### hasGeneratedCodeInfo

boolean hasGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Returns:
  Whether the generatedCodeInfo field is set.

### getGeneratedCodeInfo

DescriptorProtos.GeneratedCodeInfo getGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Returns:
  The generatedCodeInfo.

### getGeneratedCodeInfoOrBuilder

DescriptorProtos.GeneratedCodeInfoOrBuilder getGeneratedCodeInfoOrBuilder()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`